import { jsx } from "react/jsx-runtime";
import { TokenXSUSHI as TokenXSUSHI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXSUSHI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "XSUSHI", "data-name": "TokenXSUSHI", ...props, children: /* @__PURE__ */ jsx(TokenXSUSHI$1, { variant }) });
  }
);
TokenXSUSHI.displayName = "TokenXSUSHI";
Object.assign(TokenXSUSHI, { isGdsIcon: true });
export {
  TokenXSUSHI
};
